	subroutine priam(val,t,x)
c
	character*10 val
30	format(f8.6)
31	format(f7.5)
32	format(f6.4)
33	format(f5.3)
34	format(f5.2)
35	format(f5.1)
36	format(f8.1)
c
	if(t.ge. .0001) go to 1
	write(val,30) x
	return
1	if(t .ge..001) go to 2
	write(val,31) x
	return
2	if(t .ge. .01) go to 3
	write(val,32) x
	return
3	if(t .ge. 0.1) go to 4
	write(val,33) x
	return
4	if(t.ge.1.0) go to 5
	write(val,34) x
	return
5	if(t .ge. 10.0) go to 6
	write(val,35) x
	return
6	write(val,36) x
	return
	end
